Bug 20774

Summary: Trivial HTML error in itemslost.tt
Product: Koha Reporter: paxed <pasi.kallinen>
Component: TemplatesAssignee: Owen Leonard <oleonard>
Status: RESOLVED FIXED QA Contact: Marcel de Rooy <m.de.rooy>
Severity: trivial    
Priority: P5 - low CC: fridolin.somers, m.de.rooy, martin.renvoize, mtompset, nick
Version: master   
Target Milestone: ---   
Hardware: All   
OS: All   
Whiteboard:
Change sponsored?: --- Patch complexity: Trivial patch
Bot Control: --- When did the bot last check this:
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Bug Depends on: 9573    
Bug Blocks: 20807    
Attachments: Bug 20774: Trivial HTML error in itemslost.tt
Bug 20774: Trivial HTML error in itemslost.tt
Bug 20774: Trivial HTML error in itemslost.tt

Description paxed 2018-05-17 05:17:08 UTC
reports/itemslost.tt:

<td><span title="[% item.itemlost_on %]"</span>[% item.itemlost_on | $KohaDates %]</span></td>


The first "</span>" is wrong, it should be just ">"
Comment 1 Owen Leonard 2018-05-17 11:50:42 UTC
Created attachment 75392 [details] [review]
Bug 20774: Trivial HTML error in itemslost.tt

This patch makes a minor correction to the markup of the lost items
report template.

To test, apply the patch and run the lost items report with parameters
which will return results. The report results should look correct, and
the page should validate with no relevant errors.
Comment 2 M. Tompsett 2018-05-23 16:30:58 UTC
Comment on attachment 75392 [details] [review]
Bug 20774: Trivial HTML error in itemslost.tt

Review of attachment 75392 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/reports/itemslost.tt
@@ -87,4 @@
>                          </td>
>                          <td>[% item.biblio.author %]</td>
>                          <td>[% AuthorisedValues.GetDescriptionByKohaField( kohafield => 'items.itemlost', authorised_value => item.itemlost ) %]
> -                        <td><span title="[% item.itemlost_on %]"</span>[% item.itemlost_on | $KohaDates %]</span></td>

Oh my! Good catch.
Comment 3 M. Tompsett 2018-05-23 16:37:16 UTC
        <div class="lostitems-table_table_controls">↩
                | <a href="#" class="SelectAll"><i class="fa fa-check"></i> Select all</a> |↩
                <a href="#" class="ClearAll"><i class="fa fa-remove"></i> Clear all</a>↩
                <span class="itemselection_actions">↩
                  | Actions:↩
                  ↩
                      <span class="itemselection_action_export" title="You should create a CSV profile for export_lost_items"><i class="fa fa-download"></i> Export selected items</a>↩
                  ↩
                </span>↩
        </div>↩

There's a stray /a in this section. Could you fix this too? I'll leave the text/javascripts for another bug. :)
Comment 4 Owen Leonard 2018-05-23 17:06:45 UTC
(In reply to M. Tompsett from comment #3)
> There's a stray /a in this section. Could you fix this too? I'll leave the
> text/javascripts for another bug. :)

This seems to be a symptom of a larger problem with the export feature which I'll try to address in a separate bug.
Comment 5 M. Tompsett 2018-05-23 17:14:07 UTC
(In reply to Owen Leonard from comment #4)
> (In reply to M. Tompsett from comment #3)
> > There's a stray /a in this section. Could you fix this too? I'll leave the
> > text/javascripts for another bug. :)
> 
> This seems to be a symptom of a larger problem with the export feature which
> I'll try to address in a separate bug.

Having just retested with a CSV profile defined from Tools, and rechecking the page, I see what you are talking about. Another bug it is, no sense scope creeping.
Comment 6 M. Tompsett 2018-05-23 17:14:57 UTC
Created attachment 75508 [details] [review]
Bug 20774: Trivial HTML error in itemslost.tt

This patch makes a minor correction to the markup of the lost items
report template.

To test, apply the patch and run the lost items report with parameters
which will return results. The report results should look correct, and
the page should validate with no relevant errors.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 7 Marcel de Rooy 2018-05-25 09:17:04 UTC
Created attachment 75555 [details] [review]
Bug 20774: Trivial HTML error in itemslost.tt

This patch makes a minor correction to the markup of the lost items
report template.

To test, apply the patch and run the lost items report with parameters
which will return results. The report results should look correct, and
the page should validate with no relevant errors.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Nick Clemens 2018-05-29 14:38:04 UTC
Pushed to master for 18.11.

Awesome work all, thank you.
Comment 9 Martin Renvoize 2018-06-05 10:15:45 UTC
This patch has been pushed to 18.05.x and will be in 18.05.01
Comment 10 Fridolin SOMERS 2018-06-06 11:49:16 UTC
Depends on Bug 9573 that is not in 17.11.x